JBoss API: Interface ConfigurationServiceMBean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.configuration
Interface ConfigurationServiceMBean

All Known Implementing Classes:
  ConfigurationService

public interface ConfigurationServiceMBean

The JMX admin interface for the `ConfigurationService` MBean.

Version:
  $Revision: 1.6 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)

Field Summary
`static java.lang.String` | `OBJECT_NAME` The default object name.

Method Summary
`boolean` | `getAutoTrim()` Get the attribute value auto-trim flag.
`void` | `load(org.w3c.dom.Document configuration)` Parses the given configuration document and sets MBean attributes.
`void` | `loadConfiguration()` Load the configuration from the configuration file, installs and initailize configured MBeans and registeres the beans as services.
`java.lang.String` | `save()` Builds a string that consists of the configuration elements of the currently running MBeans registered in the server.
`void` | `saveConfiguration()` Saves the current configuration of each registered MBean to the running state file file.

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

  The default object name.

Method Detail

### getAutoTrim

    public boolean getAutoTrim()

  Get the attribute value auto-trim flag.
  Returns:
    True if attribute values are auto-trimmed.

### load

    public void load(org.w3c.dom.Document configuration)
              throws java.lang.Exception

  Parses the given configuration document and sets MBean attributes.
  Parameters:
    `configuration` - The parsed configuration document.
  Throws:
    `java.lang.Exception` - Failed to load.

### save

    public java.lang.String save()
                          throws java.lang.Exception

  Builds a string that consists of the configuration elements of the currently running MBeans registered in the server.
  Throws:
    `java.lang.Exception` - Failed to construct configuration.

### loadConfiguration

    public void loadConfiguration()
                           throws java.lang.Exception

  Load the configuration from the configuration file, installs and initailize configured MBeans and registeres the beans as services.

  This is a 2-step process:

  1. Load user conf. and create MBeans from that.
  2. Apply user conf to created MBeans.
  Throws:
    `java.lang.Exception` - ???

### saveConfiguration

    public void saveConfiguration()
                           throws java.lang.Exception

  Saves the current configuration of each registered MBean to the running state file file. This will only occur if a file of the that name exists in the classpath.
  Throws:
    `java.lang.Exception` - Failed to save configuration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.